# Claunia.PropertyList.NSSet

plist-cil : Claunia.PropertyList Namespace

# NSSet Class

A set is an interface to an unordered collection of objects.

This implementation uses a List`1as the underlying data structure.

## Syntax

public class NSSet : NSObject, IEnumerable

## Remarks

Documentation for this section has not yet been entered.

## Requirements

Namespace: Claunia.PropertyList
Assembly: plist-cil (in plist-cil.dll)
Assembly Versions: 1.13.0.0, 1.14.0.0

## Members

See Also: Inherited members from NSObject.

## Public Constructors

| NSSet () | Creates an empty unordered set.
| NSSet (params NSObject[]) | Creates a set and fill it with the given objects.
| NSSet (bool) | Creates an empty set.
| NSSet (bool, params NSObject[]) | Creates a set and fill it with the given objects.

## Public Properties

[read-only] | Count | int . Gets the number of elements in the set.

## Public Methods

AddObject (NSObject)

> Adds an object to the set.

AllObjects () : NSObject[]

> Returns all objects contained in the set.

AnyObject () : NSObject

> Returns one of the objects in the set, or `null` if the set contains no objects.

ContainsObject (NSObject) : bool

> Finds out whether a given object is contained in the set.

override

Equals (NSObject) : bool

> Determines whether the specified Claunia.PropertyList.NSObject is equal to the current Claunia.PropertyList.NSSet.

abstract

Equals (NSObject) : bool

> Determines if the specific NSObject is the same as the NSObject overriding this method. (Inherited from NSObject.)

override

Equals (object) : bool

> Determines whether the specified object is equal to the current Claunia.PropertyList.NSSet.

GetEnumerator () : IEnumerator

> Returns an enumerator object that lets you iterate over all elements of the set. This is the equivalent to `objectEnumerator` in the Cocoa implementation of NSSet.

override

GetHashCode () : int

> Serves as a hash function for a Claunia.PropertyList.NSSet object.

IntersectsSet (NSSet) : bool

> Finds out whether at least one object is present in both sets.

IsSubsetOfSet (NSSet) : bool

> Finds out if this set is a subset of the given set.

Member (NSObject) : NSObject

> Determines whether the set contains an object equal to a given object and returns that object if it is present.

RemoveObject (NSObject)

> Removes an object from the set.

ToObject () : object

> Converts this NSObject into an equivalent object of the .NET Runtime Environment.

> Claunia.PropertyList.NSArray objects are converted to arrays.

> Claunia.PropertyList.NSDictionary objects are converted to objects extending the Dictionary`2 class.

> Claunia.PropertyList.NSSet objects are converted to objects extending the List`1 class.

> Claunia.PropertyList.NSNumber objects are converted to primitive number values (int, long, double or bool).

> Claunia.PropertyList.NSString objects are converted to string objects.

> Claunia.PropertyList.NSData objects are converted to byte arrays.

> Claunia.PropertyList.NSDate objects are converted to DateTime objects.

> Claunia.PropertyList.UID objects are converted to byte arrays.

> (Inherited from NSObject.)

ToXmlPropertyList () : string

> Generates a valid XML property list including headers using this object as root. (Inherited from NSObject.)

## Member Details

### NSSet Constructor

> Creates an empty unordered set.

> ## Syntax

> public NSSet ()

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### NSSet Constructor

> Creates a set and fill it with the given objects.

> ## Syntax

> public NSSet (params NSObject[] objects)

> #### Parameters

> > objects
> >   The objects to populate the set.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### NSSet Constructor

> Creates an empty set.

> ## Syntax

> public NSSet (bool ordered)

> #### Parameters

> > ordered
> >   Should the set be ordered on operations?

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### NSSet Constructor

> Creates a set and fill it with the given objects.

> ## Syntax

> public NSSet (bool ordered, params NSObject[] objects)

> #### Parameters

> > ordered
> >   Should the set be ordered on operations?
> > objects
> >   The objects to populate the set.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### AddObject Method

> Adds an object to the set.

> ## Syntax

> public void AddObject (NSObject obj)

> #### Parameters

> > obj
> >   The object to add.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### AllObjects Method

> Returns all objects contained in the set.

> ## Syntax

> public NSObject[] AllObjects ()

> #### Returns

> > An array of all objects in the set.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### AnyObject Method

> Returns one of the objects in the set, or `null` if the set contains no objects.

> ## Syntax

> public NSObject AnyObject ()

> #### Returns

> > The first object in the set, or `null` if the set is empty.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### ContainsObject Method

> Finds out whether a given object is contained in the set.

> ## Syntax

> public bool ContainsObject (NSObject obj)

> #### Parameters

> > obj
> >   The object to look for.

> #### Returns

> > `true`, when the object was found, `false` otherwise.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Count Property

> Gets the number of elements in the set.

> ## Syntax

> public int Count { get; }

> #### Value

> > The number of elements in the set.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Equals Method

> Determines whether the specified Claunia.PropertyList.NSObject is equal to the current Claunia.PropertyList.NSSet.

> ## Syntax

> public override bool Equals (NSObject obj)

> #### Parameters

> > obj
> >   The Claunia.PropertyList.NSObject to compare with the current Claunia.PropertyList.NSSet.

> #### Returns

> > `true` if the specified Claunia.PropertyList.NSObject is equal to the current Claunia.PropertyList.NSSet; otherwise, `false`.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Equals Method

> Determines whether the specified object is equal to the current Claunia.PropertyList.NSSet.

> ## Syntax

> public override bool Equals (object obj)

> #### Parameters

> > obj
> >   The object to compare with the current Claunia.PropertyList.NSSet.

> #### Returns

> > `true` if the specified object is equal to the current Claunia.PropertyList.NSSet; otherwise, `false`.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### GetEnumerator Method

> Returns an enumerator object that lets you iterate over all elements of the set. This is the equivalent to `objectEnumerator` in the Cocoa implementation of NSSet.

> ## Syntax

> public IEnumerator GetEnumerator ()

> #### Returns

> > The iterator for the set.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### GetHashCode Method

> Serves as a hash function for a Claunia.PropertyList.NSSet object.

> ## Syntax

> public override int GetHashCode ()

> #### Returns

> > A hash code for this instance that is suitable for use in hashing algorithms and data structures such as a hash table.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### IntersectsSet Method

> Finds out whether at least one object is present in both sets.

> ## Syntax

> public bool IntersectsSet (NSSet otherSet)

> #### Parameters

> > otherSet
> >   The other set.

> #### Returns

> > `true` if the intersection of both sets is empty, `false` otherwise.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### IsSubsetOfSet Method

> Finds out if this set is a subset of the given set.

> ## Syntax

> public bool IsSubsetOfSet (NSSet otherSet)

> #### Parameters

> > otherSet
> >   The other set.

> #### Returns

> > `true` if all elements in this set are also present in the other set, `false`otherwise.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### Member Method

> Determines whether the set contains an object equal to a given object and returns that object if it is present.

> ## Syntax

> public NSObject Member (NSObject obj)

> #### Parameters

> > obj
> >   The object to look for.

> #### Returns

> > The object if it is present, `null` otherwise.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0

### RemoveObject Method

> Removes an object from the set.

> ## Syntax

> public void RemoveObject (NSObject obj)

> #### Parameters

> > obj
> >   The object to remove.

> ## Remarks

> Documentation for this section has not yet been entered.

> ## Requirements

> Namespace: Claunia.PropertyList
> Assembly: plist-cil (in plist-cil.dll)
> Assembly Versions: 1.13.0.0, 1.14.0.0